#include <Wire.h>
#include "__CH4_BME280i2c_revA.h"
#define DAQpin A3
unsigned char BME280_addrA = 0x76;
unsigned char BME280_addrB =  0x77;
unsigned char ODR_Delay = 100; /*revised for gnuplot*/
unsigned int samples=100;

void setup() {
   Serial.begin(9600); /*revised for gnuplot*/
   Wire.begin();
   digitalWrite(DAQpin,HIGH);
   pinMode(DAQpin, OUTPUT);   
}

void loop() {
 char rcvDATA;
 long TEMPERATURE_A, TEMPERATURE_B;
 unsigned long PRESSURE_A[samples], PRESSURE_B[samples];

   BME280_Init(BME280_addrA);
   BME280_Init(BME280_addrB);
   delay(1000);
   BME280_ReadTcoeffs(BME280_addrA);
   BME280_ReadTcoeffs(BME280_addrB);
   BME280_ReadPcoeffs(BME280_addrA);
   BME280_ReadPcoeffs(BME280_addrB);

   
   while(1){
     do {
       while(!Serial.available());
       rcvDATA=Serial.read();
      } while(rcvDATA!='@');
      delay(1000); 
  
     digitalWrite(DAQpin,LOW);
     for (int i=0; i<samples; i++){
      //digitalWrite(DAQpin,LOW);
      BME280_Read_uncompensatedT(BME280_addrA);
      TEMPERATURE_A = BME280_compensateT();
      BME280_Read_uncompensatedT(BME280_addrB);
      TEMPERATURE_B = BME280_compensateT();
      BME280_Read_uncompensatedP(BME280_addrA);
      PRESSURE_A[i] = BME280_compensateP();
      BME280_Read_uncompensatedP(BME280_addrB);
      PRESSURE_B[i] = BME280_compensateP();
      Serial.println( ((float)PRESSURE_A[i] / 100000) ,6 );
      Serial.println( ((float)PRESSURE_B[i] / 100000) ,6 );
      //!!//Serial.print( ((float)PRESSURE_A[i] * 10) ,0 );
      //!!//Serial.print(" ");
      //!!//Serial.println( ((float)PRESSURE_B[i] * 10) ,0 );
      //digitalWrite(DAQpin,HIGH);
      delay(ODR_Delay);    
     }
     digitalWrite(DAQpin,HIGH);   
  }
}
