#include <Wire.h>
#include "__CH4_BME280i2c_revA.h"
unsigned char I2Caddr = 0x77; /* BMP280 address of Pesky module */
unsigned char ODR_Delay = 100; /*revised for gnuplot*/
unsigned int samples=100;

void setup() {
   Serial.begin(9600); /*revised for gnuplot*/
   Wire.setSDA(17); /* Teensy 3.2 I2C-SDA line */
   Wire.setSCL(16); /* Teensy 3.2 I2C-SDA line */
   Wire.begin();
}

void loop() {
 int rcvDATA;
 long T;
 unsigned long P[samples];

   BME280_Init(I2Caddr);
   delay(1000);
   BME280_ReadTcoeffs(I2Caddr);
   BME280_ReadPcoeffs(I2Caddr);

   do {
     while(!Serial.available());
     rcvDATA=Serial.read();
    } while(rcvDATA!='@');
    delay(1000); 

   for (int i=0; i<samples; i++){
    BME280_Read_uncompensatedT(I2Caddr);
    T = BME280_compensateT();
    BME280_Read_uncompensatedP(I2Caddr);
    P[i] = BME280_compensateP();
    Serial.println( ((float)P[i] / 100000) ,6 );
    delay(ODR_Delay);    
   }
}
